#!/usr/bin/env bash

# Builds, push and run an ONOS docker image based on this directory

set -ex

docker build -t onos-fabric-mwc .
docker tag onos-fabric-mwc 10.128.13.3:5000/onosproject/onos:candidate
docker push 10.128.13.3:5000/onosproject/onos:candidate

ssh head "cd /opt/onos_fabric/ && docker-compose down && docker-compose pull && docker-compose up -d"
